package com.fjhx.service.contract;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.base.Condition;
import com.fjhx.entity.contract.Contract;
import com.fjhx.params.contract.ContractEx;
import com.fjhx.params.contract.ContractVo;

/**
 * <p>
 * 合同 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-25
 */
public interface ContractService extends BaseService<Contract> {

    Page<Contract> getPage(Condition condition);

    void add(ContractVo contractVo);

    void edit(ContractVo contractVo);

    void delete(ContractVo contractVo);

    ContractVo details(Long id);

}
